vtparser_tests.c File Reference
`#include "../base/nvti.h"`
`#include "vtparser.c"`
`#include <cgreen/assertions.h>`
`#include <cgreen/cgreen.h>`
`#include <cgreen/constraint_syntax_helpers.h>`
`#include <cgreen/internal/c_assertions.h>`
`#include <cgreen/mocks.h>`

## Macros

#define | VT_NAME "Example: Security Advisory for eg (EXAMPLE-2025-cb7b)"
#define | VT

## Functions

| Describe (vtparser)
| BeforeEach (vtparser)
| AfterEach (vtparser)
static FILE * | memopen (const gchar *str)
| Ensure (vtparser, parse_vt_json_parses_a_vt)
int | main (int argc, char **argv)

## Macro Definition Documentation

## VT

#define VT

## VT_NAME

#define VT_NAME "Example: Security Advisory for eg (EXAMPLE-2025-cb7b)"

## Function Documentation

## AfterEach()

AfterEach | ( | vtparser |  | ) |

## BeforeEach()

BeforeEach | ( | vtparser |  | ) |

## Describe()

Describe | ( | vtparser |  | ) |

## Ensure()

Ensure | ( | vtparser | ,
|  | parse_vt_json_parses_a_vt | )

## main()

int main | ( | int | argc,
|  | char ** | argv )

## memopen()

FILE * memopen | ( | const gchar * | str | ) |

static